#
# spec file for package perl-Capture-Tiny
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Capture-Tiny
Version:        0.48
Release:        1.26
%define cpan_name Capture-Tiny
Summary:        Capture STDOUT and STDERR from Perl, XS or external programs
License:        Apache-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Capture-Tiny/
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Capture::Tiny provides a simple, portable way to capture almost anything
sent to STDOUT or STDERR, regardless of whether it comes from Perl, from XS
code or from an external program. Optionally, output can be teed so that it
is captured while being passed through to the original filehandles. Yes, it
even works on Windows (usually). Stop guessing which of a dozen capturing
modules to use in any particular situation and just use this one.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.mkdn examples README Todo
%license LICENSE

%changelog
* Mon Apr 23 2018 coolo@suse.com
- updated to 0.48
  see /usr/share/doc/packages/perl-Capture-Tiny/Changes
  0.48      2018-04-22 09:01:08+02:00 Europe/Oslo
  - No changes from 0.47-TRIAL
  0.47      2017-07-26 10:34:24-04:00 America/New_York (TRIAL RELEASE)
    [Fixed]
  - Appends PID to random file names for tee signalling to avoid
    random name collision when used in multiple forked children.
* Sun Feb 26 2017 coolo@suse.com
- updated to 0.46
  see /usr/share/doc/packages/perl-Capture-Tiny/Changes
  0.46      2017-02-25 14:19:22-05:00 America/New_York
  - No changes from 0.45-TRIAL
  0.45      2017-02-23 13:22:43-05:00 America/New_York (TRIAL RELEASE)
    [Internal]
  - Avoid variable shadowing to improve debuggability.
* Sat Aug  6 2016 coolo@suse.com
- updated to 0.44
  see /usr/share/doc/packages/perl-Capture-Tiny/Changes
  0.44      2016-08-05 13:40:33-04:00 America/New_York
    [Docs]
  - Note that dropping privileges during a capture can lead to
    temporary files not cleaned up.
* Wed Jun  1 2016 coolo@suse.com
- updated to 0.42
  see /usr/share/doc/packages/perl-Capture-Tiny/Changes
  0.42      2016-05-31 12:40:10-04:00 America/New_York
  - No changes from 0.41
  0.41      2016-05-23 11:58:15-04:00 America/New_York (TRIAL RELEASE)
    [Fixed]
  - Fixed some failing tests when STDIN is routed to /dev/null
* Sat May 28 2016 coolo@suse.com
- updated to 0.40
  see /usr/share/doc/packages/perl-Capture-Tiny/Changes
  0.40      2016-05-23 11:42:35-04:00 America/New_York
  - No changes from 0.39
  0.39      2016-05-02 10:21:48-04:00 America/New_York (TRIAL RELEASE)
    [Fixed]
  - Fix in 0.37 tickled a very obscure regular expressions bug in perl <
    5.18; should now be fixed.
  0.37      2016-05-02 07:08:31-04:00 America/New_York (TRIAL RELEASE)
    [Fixed]
  - Skip some tests if locale can't be determined.
* Mon Mar  7 2016 coolo@suse.com
- updated to 0.36
  see /usr/share/doc/packages/perl-Capture-Tiny/Changes
  0.36      2016-02-28 21:36:57-05:00 America/New_York
    [Docs]
  - Fixed typos.
  0.34      2016-02-18 23:26:13-05:00 America/New_York
    [Fixed]
  - Removed spurious JSON::PP dependency added by a broken
    Dist::Zilla plugin.
  0.32      2016-02-18 10:12:02-05:00 America/New_York
    [Docs]
  - Changed internal formatting of documentation
    [Changes]
  - No functional changes from 0.31
  0.31      2016-02-14 07:33:50-07:00 America/Mazatlan (TRIAL RELEASE)
    [Fixed]
  - Application of layers to handles during and after capture now attempts
    to more accurately duplicate the original layers, including potential
    duplicate layers.  Because of the unusual ways that layers are ordered
    and applied, exact duplication is not guaranteeed, but this should be
    better that what Capture::Tiny did before.
  - Avoids a hard crash on Windows with Perl < 5.20 if a fork occurs in a
    capture block.  Also documented the risks and lack of support for
    forks in capture blocks.
* Sat May 16 2015 coolo@suse.com
- updated to 0.30
  see /usr/share/doc/packages/perl-Capture-Tiny/Changes
  0.30      2015-05-15 20:43:54-04:00 America/New_York
    No changes from 0.29
  0.29      2015-04-19 18:36:24+02:00 Europe/Berlin (TRIAL RELEASE)
    Fixed:
  - Fix double filehandle close error with tee on Windows
    (which started warning during the perl 5.21.x series,
    causing tests to fail)
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.28
  see /usr/share/doc/packages/perl-Capture-Tiny/Changes
  0.28      2015-02-11 06:39:51-05:00 America/New_York
    Tests:
  - Removes test that optionally uses Inline::C to avoid spurious
    test failures.  Also Inline::C had become a fairly heavy
    (if optional) dependency.
    Docs:
  - Clarify that PERL_CAPTURE_TINY_TIMEOUT is an internal control,
    not a timeout of the code reference being captured.
* Sat Feb  7 2015 coolo@suse.com
- updated to 0.27
  Prereqs:
  - Make Inline::C recommended, not required
  Tests:
  - Actually check for Inline::C in tests, not just Inline
* Mon Sep 15 2014 coolo@suse.com
- updated to 0.25
  Prereqs:
  - Amended recommended modules to list Inline::C rather than Inline
* Sun Feb  9 2014 coolo@suse.com
- updated to 0.24
  Fixed:
  - Closed security hole in use of semaphore flag in /tmp;
    now opens semaphore the using O_CREAT|O_EXCL
* Tue Nov 26 2013 coolo@suse.com
- updated to 0.23
  Fixed:
  - minimum Perl prereq is back to 5.6 (but $diety help you if
    you're still stuck on 5.6)
  Documented:
  - Added warning about using @_ in a capture block
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.22
  Documented:
  - Issue tracker is now github
  Changed:
  - Skips tee and leak tests for closed STDIN on Perl prior to
    5.12 when PERL_UNICODE=D.  Documented lack of support as
    a known issue.
  - Isolated tee subprocesses from effects of PERL_UNICODE as a
    precaution (though this did not fix the above issue).
  - Improved layer detection for handles proxied due to being closed
    or tied.
  Fixed:
  - Nested merged captures that include an external program call no longer
    leak STDERR to the outer scope [rt.cpan.org #79376]
  - Work around rt.perl.org #114404 by forcing PerlIO layers back on
    original handles [rt.cpan.org #78819]
* Wed May 23 2012 coolo@suse.com
- updated to 0.18
  Added
  - When capture or tee are called in void context, Capture::Tiny
    skips reading back from the capture handles if it can do so safely
  Fixed:
  - Tied STDIN is always localized before redirections to avoid tees
    hanging on MSWin32
  - Copying and reopening STDIN is necessary to avoid tees hanging on MSWin32.
  Fixed:
  - Avoids reopening STDIN while setting up a capture, which avoids
    some problems with pathological tied filehandle implementations
    such as in FCGI
  Tested:
  - Re-enabled tied STDIN testing for MSWin32 to see if changes above
    avoid crashes seen historically
* Mon Feb 27 2012 coolo@suse.com
- updated to 0.17
  Fixed:
  - Added a workaround for failing t/08-stdin-closed.t under blead
    perl / 5.15.8 [RT#111070]
  Documented:
  - Clarified some limitations; added a link to CPAN Testers Matrix;
    removed redundant BUGS section; standardized terminology
  Tested:
  - Added a test using Inline::C to print to stdout and stderr in response
    to RT#71701
* Tue Feb 21 2012 coolo@suse.com
- updated to 0.16
  - Noted problems and workaround for FCGI's pathological tied STDIN
    [RT#74681; thank you Karl Gaissmaier for testing the
    workaround]
* Sat Dec 24 2011 pascal.bleser@opensuse.org
- update to 0.15:
  * repeated captures from a custom filehandle would return undef instead of
    the empty string (and would warn). This has been fixed. RT#73374
  * commented out debugging code for slightly less runtime overhead
- changes from 0.14:
  * added: capturing with custom filehandles will return only newly appended
    output instead of everything already in the file RT#73374
* Wed Dec 21 2011 pascal.bleser@opensuse.org
- update to 0.13: no user-visible changes
- changes from 0.12:
  - add new functions capture_stdout, capture_stderr, tee_stdout, tee_stderr; RT#60515
  - capture functions also returns the return values from the executed coderef; RT#61794
  - capture functions take optional custom filehandles for capturing via named
    files instead of anonymous ones
  - tied filehandles based on Tie::StdHandle can now use the ":utf8" layer;
    removed remaining TODO tests; adds Scalar::Util as a dependency
  - when Time::HiRes::usleep is available, tee operations will
    sleep during the busy-loop waiting for tee processes to be ready
    RT#67858
* Fri Aug 26 2011 chris@computersalat.de
- fix build for SLE_10
  * %%{__perl} -p -i -e 's|6.31|6.30|' Makefile.PL
* Thu Jul 21 2011 coolo@novell.com
- updated to 0.11
  Fixed:
  - Tests will not use Test::Differences version 0.60 or greater
  - Setting PERL_CAPTURE_TINY_TIMEOUT to 0 will disable timeouts
  - Added support for $ENV{PERL_CAPTURE_TINY_TIMEOUT} to control
    the timeout period under 'tee'; tests set not to timeout to
    avoid false FAIL reports on overloaded virtual machine smokers
  Fixed:
  - $@ set within a captured block is no longer lost when the capture
    is completed; likewise, the initial value of $@ is not lost
    during capture (when no subsequent error occurs) (RT #65139)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Jun 21 2010 pascal.bleser@opensuse.org
- update to 0.08
* Tue Jan 26 2010 pascal.bleser@opensuse.org
- update to 0.07
* Thu Oct 29 2009 pascal.bleser@opensuse.org
- new package
